Well we just pulled the switch here and upgraded to WordPress 3.2. It’s a pretty hefty upgrade, and our Media Temple DV server is always a bit finicky when I run WordPress upgrades, however all went pretty well (You can feel free to contact us if you need help upgrading your WordPress system). The new dashboard is quite a big change, and a few things to note with this upgrade.

The WordPress team has officially dropped support for IE6 (hooray I say) and they now include a little browser check right there in the dashboard to help give you a little poke if your browser is in need of an update (you’ll see in the screenshot my version of Firefox is outdated…yes I know, shame on me, I was waiting for a 1Password update). Next thing of import, your server will now need php5 AND mySQL 5. This will require those of you running older Media Temple Gridservers to upgrade. I’m sure MT support phones have been ringing off the hook, and they have already been addressing the issue diligently. As a matter of fact they just posted a video to Facebook which should help you on your way.

Last bit of advice should always be the first bit of advice. BACK SHIT UP! You’ll feel better about the whole process.

Here is a screenshot of the new Admin Dashboard, pretty slick!

Wordpress 3.2 Dashboard